Issue 22136

Summary: Change Defaults Spacing for Borders of Formulas to Improve Formatting in Writer
Product: Math Reporter: frank.loehmann
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: bluedzins, issues, r.franz, rb.henschel, tara
Version: 680m65Keywords: oooqa
Target Milestone: ---   
Hardware: Other   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description frank.loehmann 2003-11-05 09:09:34 UTC
Currently the "Formula" frame style in Writer has a default spacing of 0,2 cm on
the left and right. 
- Set default spacing in Writer Formula frame style for left and right to 0cm 
- Change internal spacing to borders (Format-Spacing-Catergory-Spacing) of math
object to 0cm
- Formatting of existing document must not be changed

FL->MRU: Please evaluate these new settings for formulas in Writer, Draw, Calc
and Impress if they result in painting or printing problems. Especially the
internal formula spacing has been introduced afterwards by Matthias Breuer (to
solve painting problems??). Please return your results to me using this bug.
Thank you!
Comment 1 michael.ruess 2003-12-09 13:56:54 UTC
I played around a little regarding the inner and outer spacing values of Math
objects. I could not see problems when changing these values to zero; even not
when having a border line around the object. Painting was good at all.
Comment 2 frank.loehmann 2003-12-10 08:14:07 UTC
FL: Please change current settings as described at the beginning of this issue.
Thank you!
Comment 3 Oliver Specht 2004-01-12 10:48:04 UTC
.
Comment 4 michael.ruess 2004-01-22 07:35:27 UTC
*** Issue 22946 has been marked as a duplicate of this issue. ***
Comment 5 michael.ruess 2004-06-01 12:29:45 UTC
*** Issue 29714 has been marked as a duplicate of this issue. ***
Comment 6 andreas.martens 2004-06-17 15:01:35 UTC
Because of a shortage of resources we have to retarget this issue to OOo later. 
Comment 7 peschtra 2004-12-17 01:48:58 UTC
If you modify your default template then every document you make will be fixed.

I am changing this to an enhancement, because it is not really a defect, it is
just the chosen setting.

Also, this is still true in 1.1.4 and in 1.9.65 so I changed the version.
Comment 8 physitux 2005-08-22 22:56:02 UTC
Now we have version 1.9.123 and still the default spacing of formula objects is
set to 0,2 cm. Is it really a problem to reduce these values and the internal
spacing to borders of math objects to zero? I think that most users don't change
them individually so that almost all writer documents containing formula objects
are wrongly set. 
Comment 9 physitux 2005-08-22 22:56:32 UTC
Now we have version 1.9.123 and still the default spacing of formula objects is
set to 0,2 cm. Is it really a problem to reduce these values and the internal
spacing to borders of math objects to zero? I think that most users don't change
them individually so that almost all writer documents containing formula objects
are wrongly set. 
Comment 10 clauswilke 2006-02-14 19:16:23 UTC
Problem still exists in 2.0.1. I strongly agree, the default setting should be 
zero. 
Comment 11 bettina.haberer 2006-02-16 09:09:11 UTC
I changed the target to OOo 2.0.3.
Comment 12 bettina.haberer 2006-02-17 13:01:50 UTC
...And wanted to set OO.o 3.0.
Comment 13 Oliver Specht 2006-06-20 13:14:33 UTC
Target adjusted
Comment 14 michael.ruess 2007-08-09 14:58:16 UTC
*** Issue 80526 has been marked as a duplicate of this issue. ***
Comment 15 jdpipe 2007-08-10 03:01:24 UTC
Is there an ETA for this one? Seems like a trivial change and it seems like it
has already been tested -- am I right on that?
Comment 16 Mathias_Bauer 2007-12-04 14:50:53 UTC
according to release status meeting -> 3.x
Comment 17 jdpipe 2008-07-16 08:55:21 UTC
Any update on the ETA of this one? Would be great to see it fixed...
Comment 18 owqcd 2009-11-22 15:25:57 UTC
Hello,

what happens to this issue ? It is still present in OO 3.1.1
It was opened in 2003 and we are near 2010 ! 

However, the problem seems trivial to solve (setting the default spacings to
zero instead of 0.2 or something), and mru confirmed that this could be done.

Reminder: with the current settings there is extra space around every formula,
which is ugly as soon as you continue with a dot or a comma after a formula.
Comment 19 Rainer Bielefeld 2010-01-24 11:23:21 UTC
*** Issue 108615 has been marked as a duplicate of this issue. ***
Comment 20 physitux 2010-03-05 23:45:41 UTC
Year 2010. Next decade and nothing happened since 2003. I think it should be no
problem to change the default settings. Please note the problem that after
leaving math mode by pressing ESC twice the cursor remains left of the formula
object, when left formula border is set to zero
(http://www.openoffice.org/issues/show_bug.cgi?id=105997).
Comment 21 Regina Henschel 2010-04-06 18:42:55 UTC
add me to cc
Comment 22 Marcus 2017-05-20 11:13:54 UTC
Reset assigne to the default "issues@openoffice.apache.org".